package com.bonus.system.service;

import com.bonus.system.api.domain.SysTemplateMenu;
import java.util.List;

/**
 * 系统模板菜单表(SysTemplateMenu)表服务接口
 *
 * @author bonus
 * @since 2025-01-05
 */
public interface ISysTemplateMenuService {

    /**
     * 查询多条数据
     *
     * @param
     * @param
     * @return 对象列表
     */
    public List<Long> queryMenuIdByTemplateId(Long tempId);

    /**
     * 新增数据
     *
     * @param sysTemplateMenu 实例对象
     * @return 实例对象
     */
    SysTemplateMenu insert(SysTemplateMenu sysTemplateMenu);

    public int batchInsert(List<SysTemplateMenu> list);

    /**
     * 修改数据
     *
     * @param sysTemplateMenu 实例对象
     * @return 实例对象
     */
    SysTemplateMenu update(SysTemplateMenu sysTemplateMenu);

}